function h = freqresp( b, a, f, fs )
%h = freqresp( b, a, f, fs )
% Frequency Response: B(z)/A(z) for z = exp(-i*2*pi * f/fs)
%
%	b - numerator
%	a - nominator
%	f - frequency values (Hz)
%	fs - sampling frequency (Hz)

f = f/fs;
f = -2*pi*f;
z = exp( i*f );

a = a(:);
b = b(:);

h = polyval( flipud(b), z ) ./ polyval( flipud(a), z );
