function a = lpc1( x, p )
%a = lpc1( x, p )
% Linear Predictor Coefficients
%
%	x - analysed signal
%	p - prediction order
%
%	a - p+1 long coefficient array (LPC)

x = x(:);
n = length( x );

h = hamming1( n );
x = x.*h;
x = [zeros(p,1); x];

r = acf( x, p );
r(1) = 1.00001*r(1) + 1e-6;

a = levi1( r );
