function e = lpcerror1( x, p, w )
%e = lpcerror1( x, p, w )
% Compute the LPC error signal
%
%	x - input signal
%	p - order of LPC
%	w - analysed window length (samples)
%
%	e - LPC error signal

% get signal length
x = x(:);
n = length( x );

wp2 = floor( w/2 );

% error of first window
x1 = x( 1:w );
a = lpc1( x1, p );
e = filter( a, 1, x1 );

% error of further windows
for i = w+wp2:wp2:n,
   x1 = x( i-w+1:i );
   a = lpc1( x1, p );
   e1 = filter( a, 1, x1 );
   e1 = e1( w-wp2+1:end );
   e = [e; e1];
end

