function w = rtmult( c, r, t )
%w = rtmult( c, r, t )
% Rectangular Toeplitz multiplier
%
%	c - column
%	r - row
%	t - second operand vector

c = c(:); r = r(:); t = t(:);
n = length( c );
m = min( [length(r), length(t)] );
r = r( 1:m );
t = t( 1:m );

cr = [ c; 0; flipud( r(2:end) ) ];
tz = [ t; zeros( n,1 ) ];

w = real( ifft( fft(cr).*fft(tz) ) );
w = w( 1:n );
